/*
 * 由SharpDevelop创建。
 * 用户： Administrator
 * 日期: 2018-12-12
 * 时间: 10:02
 * 
 * 要改变这种模板请点击 工具|选项|代码编写|编辑标准头文件
 */
using System;
using zyxAdapter;

namespace Server {
    /// <summary>
    /// Description of EmptyHostUtil.
    /// </summary>
    public class EmptyHostUtil : IHostUtil {
        public int Init(string exepath, string exename, int gameid) {
            return 1;
        }

        public void FreeDll() { }

        public void CreateTing(int tingCnt, int defaultDeskCnt) { }

        public void CreateDesk(int tingid, int deskid) { }

        public void DestroyDesk(int tingid, int deskid) { }

        public void StartWar(int tingid, int deskid) { }

        public void Reconnect(int tingid, int deskid, int seat) { }

        public void Dopack(int tingid, int deskid, int seat,IntPtr intPtr, int length) { }

        public void DoTimer(int tingid, int deskid, int interval) { }

        public void LoadMem(int tingid, int deskid, byte[] data,bool isOld) { }

        public int doZyxFun(int tingid, int deskid, string what, string param) {
            return -123456;
        }

        public void DoTest(int data, int len) { }
    }
}
